#!/bin/bash
path=`dirname $0`
sleep 1
cd $path
echo "Analyze2Nifti<-->Nifti2Analyze bash script is designed to convert between 
different file formats Using some FSL commands

			    *  nii.gz <--> img
			    *  nii.gz <--> nii
			    *  nii    <--> img

"
echo "Written by Jamaan Alghamdi & Dr. Vanessa Sluming"
echo "University of Liverpool"
echo "jamaan.alghamdi@gmail.com"
echo "http://www.easyneuroimaging.com"
echo "15-02-2012

"

echo "Write down conversion type 
## select one of the following options ##
 	   		   nii.gz2nii  
			   nii.gz2img  
			   nii2nii.gz  
		           nii2img  
                           img2nii.gz  
                           img2nii"
read conversion_type


if [ "$conversion_type" = nii.gz2nii ]; then
SUFFIX="nii.gz"
for i in "$path"/*.$SUFFIX;
do gunzip $i ; done


elif [ "$conversion_type" = nii.gz2img ]; then
SUFFIX="nii.gz"
for i in "$path"/*.$SUFFIX;
do fslchfiletype ANALYZE "${i%%.*}" ; done


elif [ "$conversion_type" = nii2nii.gz ]; then
SUFFIX="nii"
for i in "$path"/*.$SUFFIX;
do gzip $i ; done


elif [ "$conversion_type" = nii2img ]; then
SUFFIX="nii"
for i in "$path"/*.$SUFFIX;
do fslchfiletype ANALYZE "${i%%.*}" ; done


elif [ "$conversion_type" = img2nii.gz ]; then
SUFFIX="img"
for i in "$path"/*.$SUFFIX;
do fslchfiletype NIFTI_GZ "${i%%.*}" ; done


elif [ "$conversion_type" = img2nii ]; then
SUFFIX="img"
for i in "$path"/*.$SUFFIX;
do fslchfiletype NIFTI "${i%%.*}" ; done

fi